%global     oe_rel 20140109-002644
            # Tarball's source directory.
%global     oe_src_dir openerp-%{version}-%{oe_rel}

Name:       openerp7
Version:    7.0
Release:    10.%(echo %{oe_rel} | tr '-' '_')%{?dist}
Summary:    Business Applications Server
            # See LICENSING-BREAKDOWN
License:    AGPLv3 and GPLv3 and BSD and Beerware
Group:      System Environment/Daemons
URL:        http://www.openerp.com
BuildArch:  noarch
#Source0:   %%{url}/%%{version}/releases/openerp-%%{version}%%{?oe_rel}.tar.gz
Source0:    http://nightly.openerp.com/%{version}/nightly/src/openerp-%{version}-%{oe_rel}.tar.gz
Source1:    openerp.service
Source2:    openerp-gen-cert
Source3:    README.fedora
Source4:    LICENSING-BREAKDOWN
            # https://bugs.launchpad.net/openobject-server/+bug/1167034
Source5:    fonts-access.conf
            # Patch is not usable upstream.
Patch1:     openerp-unbundle-pyftpdlib.patch
            # Patch is not usable upstream.
Patch2:     openerp-server.conf.patch
            # https://bugs.launchpad.net/openerp-web/+bug/1177027
Patch3:     openerp-unbundle-fonts.patch

Conflicts:  openerp   < 7.0
Provides:   openerp   = %{version}-%{release}

# https://fedorahosted.org/fpc/ticket/171
# Requires:  python-trml2pdf
# See BZ 817268
# Requires:   python-faces

Requires:   %{_bindir}/run-parts
            # https://bugzilla.redhat.com/show_bug.cgi?id=956127
Requires:   entypo-fonts
Requires:   ghostscript
            # https://bugzilla.redhat.com/show_bug.cgi?id=956134
Requires:   mnmlicons-fonts
Requires:   postgresql-python
Requires:   pychart
Requires:   pydot
Requires:   pyftpdlib
Requires:   pyparsing
Requires:   python-babel
Requires:   python-cli
Requires:   python-dateutil
Requires:   python-docutils
Requires:   python-feedparser
Requires:   python-gdata
Requires:   python-imaging
Requires:   python-jinja2
Requires:   python-ldap
Requires:   python-lxml
Requires:   python-mako
Requires:   python-mock
Requires:   python-openid
Requires:   python-psycopg2
Requires:   python-reportlab
Requires:   python-simplejson
Requires:   python-unittest2
Requires:   python-vatnumber
Requires:   python-vobject
Requires:   python-werkzeug
Requires:   python-xlwt
Requires:   python-ZSI
Requires:   pytz
Requires:   pywebdav
Requires:   PyYAML

BuildRequires:  desktop-file-utils
BuildRequires:  libxslt-python
BuildRequires:  pygtk2-devel
BuildRequires:  python
BuildRequires:  python-babel
BuildRequires:  python-setuptools

BuildRequires:  python2-devel
BuildRequires:  systemd-units

Requires(pre):    shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd


%description
Server package for OpenERP, the version 7 branch.

OpenERP is a free Enterprise Resource Planning and Customer Relationship
Management software. It is mainly developed to meet changing needs.

The main functional features are: CRM & SRM, analytic and financial accounting,
double-entry stock management, sales and purchases management, tasks automation,
help desk, marketing campaign, ... and vertical modules for very specific
businesses.

Technical features include a distributed server, flexible work-flows, an object
database, dynamic GUIs, custom reports, NET-RPC and XML-RPC interfaces, ...

For more information, please visit: http://www.openerp.com

This server package contains the core (server) of OpenERP system and all
additions of the official distribution. You may need the GTK client to connect
to this server, or the web-client which serves to HTML browsers. You can
also find more additions (aka. modules) for this ERP system in:
http://www.openerp.com/ or  http://apps.openerp.com/

%package httpd-fonts-access
Summary:  Apache configuration to allow fonts access
Requires: httpd

%description  httpd-fonts-access
Allow web application to access the /usr/share/fonts directory tree.


%prep
%setup -q -n %{oe_src_dir}
%patch1 -p1
%patch2 -p0
%patch3 -p1

#  permissions tracker bug: https://bugs.launchpad.net/bugs/993414
chmod 644 openerp/addons/l10n_vn/*.xml
sed -i -e '1i#!/usr/bin/env python' \
    openerp/addons/base_report_designer/openerp_sxw2rml/openerp_sxw2rml.py

# Remove and don't use at all.
# https://bugs.launchpad.net/openerp-web/+bug/1177027
rm -f openerp/addons/auth_oauth/static/lib/zocial/css/zocial-regular-webfont*

# Remove bundled fonts packaged as dependencies, see patch3.
rm -f openerp/addons/web/static/src/font/entypo-webfont*
rm -f openerp/addons/web/static/src/font/mnmliconsv21-webfont*

# Empty and of no use.
rm openerp/addons/base_report_designer/openerp_sxw2rml/office.dtd

# Foreign packaging.
rm -rf win32 debian setup.nsi

# Prebuilt .xpi and .jar files, not usable.
rm -r openerp/addons/plugin_thunderbird

# Version control files:
rm -rf $(find . -name .hg_\* -o -name .bzrignore)


%build
NO_INSTALL_REQS=1 python ./setup.py --quiet build


%install
python ./setup.py --quiet install --root=%{buildroot}
sed -i "s|%{buildroot}||" %{buildroot}%{_bindir}/openerp-server
rm  %{buildroot}/usr/openerp/.apidoc
rm -r  %{buildroot}%{python_sitelib}/openerp
mv %{buildroot}/usr/openerp %{buildroot}%{python_sitelib}

install -m 644 -D install/openerp-server.conf  \
    %{buildroot}/etc/openerp/openerp-server.conf
install -d %{buildroot}/etc/openerp/start.d
install -d %{buildroot}/etc/openerp/stop.d

install -D -m 644 %SOURCE1 %{buildroot}%{_unitdir}/openerp.service
install -D -m 755 %{SOURCE2} %{buildroot}%{_sbindir}/openerp-gen-cert
install -m 644  %{SOURCE3} %{SOURCE4} .

install -d %{buildroot}/%{_datadir}/openerp/pixmaps
install -m 644 -D install/*.png  %{buildroot}/%{_datadir}/openerp/pixmaps

install -D -m 644 install/openerp-server.1 \
    %{buildroot}/%{_mandir}/man1/openerp-server.1
install -D -m 644 install/openerp_serverrc.5 \
    %{buildroot}/%{_mandir}/man5/openerp-serverrc.5
# https://bugs.launchpad.net/openobject-server/+bug/1167336
ln -s  %{_mandir}/man5/openerp-serverrc.5 \
    %{buildroot}/%{_mandir}/man5/openerp-server.conf.5
install -m 644 -pD %{SOURCE5} %{buildroot}/etc/httpd/conf.d/fonts-access.conf

install -d %{buildroot}/var/log/openerp
install -d %{buildroot}/var/spool/openerp
install -d %{buildroot}/var/run/openerp


%pre
getent group openerp >/dev/null || groupadd -r openerp
getent passwd openerp >/dev/null || \
    useradd -r -g openerp -d /var/run/openerp -s /sbin/nologin \
    -c "OpenERP Server" openerp
usermod -d /var/run/openerp openerp >/dev/null 2>&1 || :

%post
%systemd_post openerp.service

%preun
%systemd_preun openerp.service

%postun
%systemd_postun_with_restart openerp.service


%files
%doc LICENSE README  README.fedora LICENSING-BREAKDOWN
%doc openerp/addons/web_graph/static/lib/flotr2/lib/jasmine/MIT.LICENSE
%doc openerp/addons/web/tests/qunitsuite/grunt/license
%doc openerp/addons/web_calendar/static/lib/dhtmlxScheduler/license.txt
%{_bindir}/openerp-server
%{_sbindir}/openerp-gen-cert
%{_unitdir}//openerp.service
%{_mandir}/man1/openerp-server.1*
%{_mandir}/man5/openerp-*.5*
%{_datadir}/openerp
%{python_sitelib}/openerp
%{python_sitelib}/openerp-%{version}*-py%{python_version}.egg-info
/var/spool/openerp
%attr(0755,openerp,openerp) /var/log/openerp
%attr(0755,openerp,openerp) /var/run/openerp
%attr(0755,root,openerp) %dir /etc/openerp
%dir /etc/openerp/start.d
%dir /etc/openerp/stop.d
%attr(0660,root,openerp)  %config(noreplace) /etc/openerp/openerp-server.conf

%files httpd-fonts-access
/etc/httpd/conf.d/fonts-access.conf


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.0-10.20140109_002644
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0-9.20140109_002644
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 7.0-8.20140109_002644
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0-7.20140109_002644
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0-6.20140109_002644
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 11 2014 Alec Leamas <leamas.alec@gmail.com - 7.0-5.20140109_002644
- BR python-setuptools-devel -> python-setuptools

* Fri Jan 10 2014 Alec Leamas <leamas.alec@gmail.com - 7.0-4.20140109_002644
- Removing bad unittest2 dep.

* Thu Jan 09 2014 Alec Leamas <leamas.alec@gmail.com - 7.0-3.20140109_002644
- Updating to today's nightly build, adding R: unittest2.

* Thu Oct 3 2013 Alec Leamas <leamas@nowhere.com>  7.0-2.20130618_231044
- Add missing Requires:

* Fri Aug 30 2013 Alec Leamas <leamas@nowhere.com> 7.0-1.20130618_231044
- Fix systemd requirements
- Don't obsolete 6.1, rather conflict it.

* Wed Jun 19 2013 Alec Leamas <leamas@nowhere.com> 7.0-1.20130618_231044
- Updating to 7.0 series from openerp series 6.1.
- Using systemd macros for %%post, %%postun etc (#850243)
